#shape {
    width: 100px;
    height: 100px;
    background-color: black;
    position: absolute;
    animation-name: movement, shapeshifter, color-change;
    animation-duration: 5s, 10s, 15s;
    animation-iteration-count: infinite;
}

@keyframes main-animation {
    25% {
        top: 2%;
        left: 80%;
        height: 100px;
        border-radius: 50%;
        background-color: green;
    }
    50% {
        left: 2%;
        top: 80%;
        width: 100px;
        height: 150px;
        background-color: orange;
        border-radius: 0%;
    }
    75% {
        height: 300px;
        width: 300px;
        background-color: red;
        left: 10%;
        top: 40%;
    }
    0%, 100% {
        position: absolute;
        left: 2%;
        top: 2%;
    }
}

@keyframes movement {
    25% {
        top: 2%;
        left: 80%;
    }
    50% {
        left: 2%;
        top: 80%;
    }
    75% {
        left: 10%;
        top: 40%;
    }
    0%, 100% {
        position: absolute;
        left: 2%;
        top: 2%;
    }
}

@keyframes shapeshifter {
    25% {
        height: 100px;
        border-radius: 50%;
    }
    50% {
        width: 100px;
        height: 150px;
        border-radius: 0%;
    }
    75% {
        height: 300px;
        width: 300px;
    }
}



@keyframes color-change {
    25% {
        background-color: green;
    }
    50% {
        background-color: orange;
    }
    75% {
        background-color: red;
    }
}